Page MenuHomePhabricator

Provide a Github-like web editor for Gerrit to make small edits to code
Closed, ResolvedPublic

Description

Retitled from the original to just be about Gerrit
Leaving original description intact.


Today projects like GitHub have UI's which help and allow users to code and submit code with a UI. We however use Gerrit, a VCS.

Please offer a UI, either Wikimedia/Gerrit-natively, or on Phabricator, in which case this will need to become an upstream bug.

I myself am not that good with code and the like, however, I do tend to fix grammar and spelling mistakes in readme files, etc. on GitHub, etc. and I have no idea how to edit e.g. https://phabricator.wikimedia.org/diffusion/GVED/browse/master/README.md
I could edit the code in a standalone editor, but how to submit it I'm at a loss. It would be much better if a UI was created to streamline all this.

Please feel free to change this description to a more suited one. Thanks.

Event Timeline

Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a subscriber: Josve05a.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 11:40 PM
Quiddity added a subscriber: Quiddity.
Negative24 renamed this task from Offer way to submit code through a real UI to Provide a Github-like web editor to make small edits to code.Oct 22 2015, 2:01 AM
Negative24 updated the task description. (Show Details)
Negative24 set Security to None.
Negative24 updated the task description. (Show Details)
Aklapper triaged this task as Lowest priority.Oct 22 2015, 11:41 AM

Could this be changed to stalled since territory 2.12 includes this so unless we update that would not be available.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:00 PM

In gerrit 2.11 on web editing was supported.

We are going with gerrit 2.12 soon so this will be supported.

This task seems to be about both phabricator and gerrit.

@Josve05a hi, could we remove the phabricator project since editing in web browser is described in this task T409 please.

greg renamed this task from Provide a Github-like web editor to make small edits to code to Provide a Github-like web editor for Gerrit to make small edits to code.Jul 12 2016, 5:11 PM
greg removed a project: Phabricator (Upstream).
greg updated the task description. (Show Details)
greg added a subscriber: greg.

I just retitled this to be just about Gerrit. Phabricator/Differential should have a separate task.

I just retitled this to be just about Gerrit. Phabricator/Differential should have a separate task.

Thanks!

demon closed this task as Resolved.Jul 25 2016, 3:33 PM
demon claimed this task.
demon added a subscriber: demon.

This is a thing now.

Quiddity added a comment.EditedSep 4 2016, 5:42 PM

I've added some instructions/reminders at https://www.mediawiki.org/wiki/Gerrit/Tutorial#Editing_via_the_web-interface (moved to /Tutorial)
I'm not sure if that's the best place for them, so move at will!